Last Comment Bug 307354 - Error Console points to wrong position in source text
: Error Console points to wrong position in source text
Status: RESOLVED WONTFIX
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: All All
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 490886
  Show dependency treegraph
 
Reported: 2005-09-07 07:39 PDT by Peter Van der Beken [:peterv]
Modified: 2016-06-29 11:02 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (7.12 KB, image/png)
2005-09-07 07:40 PDT, Peter Van der Beken [:peterv]
no flags Details
remove the space between dots and caret (4.46 KB, patch)
2006-07-14 10:32 PDT, Simon Bünzli
no flags Details | Diff | Splinter Review

Description User image Peter Van der Beken [:peterv] 2005-09-07 07:39:35 PDT
The pointer in messages in the JS console is not connected to the line and
points to the wrong position in the source text (see attached screenshot). I
believe this is because the line and the pointer are constructed with labels
(one for the line and one for the pointer) and labels get a default left and
right margin. We probably need to set the right margin on the line's label and
the left margin on the pointer's label to 0.
I only tested this on OS X with pinstripe, no idea if other platforms/themes
have the same issue.
Comment 1 User image Peter Van der Beken [:peterv] 2005-09-07 07:40:10 PDT
Created attachment 195146 [details]
Screenshot
Comment 2 User image Kevin Gerich 2005-09-07 07:54:35 PDT
I'll check it out
Comment 3 User image Simon Bünzli 2006-07-14 10:32:58 PDT
Created attachment 229265 [details] [diff] [review]
remove the space between dots and caret

... and make sure that the caret really point to the correct location.
Comment 4 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 07:48:10 PDT
The Error Console has been removed in favor of the Browser Console (see Bug 1278368), and the component is going to be removed.  If this bug is also relevant in the Browser Console, please reopen and move this into Firefox -> Developer Tools: Console.
Comment 5 User image Zack Weinberg (:zwol) 2016-06-27 09:44:38 PDT
I am mass-reopening and re-componenting every single one of the Toolkit:Error Console bugs that appear to have been closed without anyone even *glancing* at whether they were relevant to the Browser Console.

If you want to close a whole bunch of old bugs -- FOR ANY REASON -- it is YOUR RESPONSIBILITY to check EVERY SINGLE ONE OF THEM and make sure they are no longer valid.  Do not push that work onto the bug reporters.

(It's okay to close bugs that haven't been touched in years when they don't have enough information for you to figure out whether the problem is still relevant to the current software - the reporter probably isn't coming back to clarify.  But that is the ONLY situation where it is okay.)

(I'm going to have to do this in two steps because of the way the "change several bugs at once" form works.  Apologies for the extra bugspam.)
Comment 6 User image (Unavailable until Apr 3) [:bgrins] 2016-06-28 14:33:06 PDT
The Error Console feature was removed entirely from the tree in Bug 1278368 and the bugzilla component is now being removed. We’ve migrated bugs that seem to also affect the Browser Console into the devtools component, please move this over if it was missed.

Note You need to log in before you can comment on or make changes to this bug.